%define         PYVER           2.6
%define         __python        python%{PYVER}
%define         PVER            %(echo %{PYVER} | awk -F. '{print$1$2}')
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

# INFO: When doing a bootstrap build on a new architecture, set this to 1 to
# avoid build loops.
%define build_bootstrap 1

# INFO: This package contains only C header files and pkg-config *.pc files,
# and does not contain any ELF binaries or DSOs, so we disable debuginfo
# generation.
%define debug_package %{nil}

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 Protocol headers
Name: 		xorg-x11-proto-devel
Version: 	7.5
Release: 	7
License: 	The Open Group License
Group: 		Development/System
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686

Source0:  	http://xorg.freedesktop.org/releases/individual/proto/bigreqsproto-1.1.1.tar.bz2
Source1:  	http://xorg.freedesktop.org/releases/individual/proto/compositeproto-0.4.2.tar.bz2
Source2:  	http://xorg.freedesktop.org/releases/individual/proto/damageproto-1.2.1.tar.bz2
Source3:  	http://xorg.freedesktop.org/releases/individual/proto/dmxproto-2.3.tar.bz2
Source4:        http://xorg.freedesktop.org/releases/individual/proto/dri2proto-2.3.tar.bz2
Source5:  	http://xorg.freedesktop.org/releases/individual/proto/fixesproto-4.1.2.tar.bz2
Source6:  	http://xorg.freedesktop.org/releases/individual/proto/fontcacheproto-0.1.3.tar.bz2
Source7:  	http://xorg.freedesktop.org/releases/individual/proto/fontsproto-2.1.1.tar.bz2
Source8:  	http://xorg.freedesktop.org/releases/individual/proto/glproto-1.4.12.tar.bz2
Source9:  	http://xorg.freedesktop.org/releases/individual/proto/inputproto-2.0.1.tar.bz2
Source10: 	http://xorg.freedesktop.org/releases/individual/proto/kbproto-1.0.5.tar.bz2
Source11: 	http://xorg.freedesktop.org/releases/individual/proto/printproto-1.0.4.tar.bz2
Source12: 	http://xorg.freedesktop.org/releases/individual/proto/randrproto-1.3.2.tar.bz2
Source13: 	http://xorg.freedesktop.org/releases/individual/proto/recordproto-1.14.1.tar.bz2
Source14: 	http://xorg.freedesktop.org/releases/individual/proto/renderproto-0.11.1.tar.bz2
Source15: 	http://xorg.freedesktop.org/releases/individual/proto/resourceproto-1.1.0.tar.bz2
Source16: 	http://xorg.freedesktop.org/releases/individual/proto/scrnsaverproto-1.2.1.tar.bz2
Source17: 	http://xorg.freedesktop.org/releases/individual/proto/trapproto-3.4.3.tar.bz2
Source18: 	http://xorg.freedesktop.org/releases/individual/proto/videoproto-2.3.1.tar.bz2
Source19:	http://xorg.freedesktop.org/releases/individual/proto/windowswmproto-1.0.4.tar.bz2
Source20:       http://xcb.freedesktop.org/dist/xcb-proto-1.6.tar.bz2
Source21: 	http://xorg.freedesktop.org/releases/individual/proto/xcmiscproto-1.2.1.tar.bz2
Source22: 	http://xorg.freedesktop.org/releases/individual/proto/xextproto-7.1.2.tar.bz2
Source23: 	http://xorg.freedesktop.org/releases/individual/proto/xf86bigfontproto-1.2.0.tar.bz2
Source24: 	http://xorg.freedesktop.org/releases/individual/proto/xf86dgaproto-2.1.tar.bz2
Source25: 	http://xorg.freedesktop.org/releases/individual/proto/xf86driproto-2.1.0.tar.bz2
Source26: 	http://xorg.freedesktop.org/releases/individual/proto/xf86miscproto-0.9.3.tar.bz2
Source27: 	http://xorg.freedesktop.org/releases/individual/proto/xf86rushproto-1.1.2.tar.bz2
Source28: 	http://xorg.freedesktop.org/releases/individual/proto/xf86vidmodeproto-2.3.tar.bz2
Source29: 	http://xorg.freedesktop.org/releases/individual/proto/xineramaproto-1.2.tar.bz2
Source30: 	http://xorg.freedesktop.org/releases/individual/proto/xproto-7.0.20.tar.bz2
Source31: 	http://xorg.freedesktop.org/releases/individual/proto/xproxymanagementprotocol-1.0.3.tar.bz2
Source32:	http://xorg.freedesktop.org/releases/individual/proto/evieproto-1.1.0.tar.bz2

Patch0:		xcb-proto-python26.patch

BuildRequires: 	pkg-config
BuildRequires: 	xorg-x11-util-macros >= 1.11.0-1

BuildRequires:	python26

Obsoletes: 	xorg-devel

%if ! %{build_bootstrap}
Requires: mesa-libGL-devel
%endif
# Require for rpm lzma compression
Requires:        rpm >= 4.4.2.3-1


#Automatically resolved build dependencies
BuildRequires: python26-devel

%description
X.Org X11 Protocol headers

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a16 -a17 -a18 -a19 -a20 -a21 -a22 -a23 -a24 -a25 -a26 -a27 -a28 -a29 -a30 -a31 -a32
pushd xcb-proto-1.6
%patch0 -p1
popd

%build
#ls -al

# Proceed through each proto package directory, building them all
for dir in $(ls -1) ; do
	pushd $dir
	case $dir in
	evieproto-1.1.0)
	./autogen.sh
        %configure
        make %{?_smp_mflags}
        ;;
	*)
	%configure
	make %{?_smp_mflags}
	;;
	esac
	popd
done

%install
rm -rf $RPM_BUILD_ROOT
for dir in $(ls -1) ; do
	pushd $dir
	make install DESTDIR=$RPM_BUILD_ROOT
	popd
done

# this header is supposed to come from Mesa, not driproto
rm -f $RPM_BUILD_ROOT/%{_includedir}/GL/internal/dri_interface.h


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_includedir}/GL/glxint.h                               
%{_includedir}/GL/glxmd.h                                
%{_includedir}/GL/glxproto.h                             
%{_includedir}/GL/glxtokens.h                            
%{_includedir}/GL/internal/glcore.h                      
%{_includedir}/X11/DECkeysym.h                           
%{_includedir}/X11/HPkeysym.h                            
%{_includedir}/X11/PM/PM.h                               
%{_includedir}/X11/PM/PMproto.h                          
%{_includedir}/X11/Sunkeysym.h                           
%{_includedir}/X11/X.h                                   
%{_includedir}/X11/XF86keysym.h                          
%{_includedir}/X11/XWDFile.h                             
%{_includedir}/X11/Xalloca.h                             
%{_includedir}/X11/Xarch.h                               
%{_includedir}/X11/Xatom.h                               
%{_includedir}/X11/Xdefs.h                               
%{_includedir}/X11/Xfuncproto.h                          
%{_includedir}/X11/Xfuncs.h                              
%{_includedir}/X11/Xmd.h                                 
%{_includedir}/X11/Xos.h                                 
%{_includedir}/X11/Xos_r.h                               
%{_includedir}/X11/Xosdefs.h                             
%{_includedir}/X11/Xpoll.h                               
%{_includedir}/X11/Xproto.h                              
%{_includedir}/X11/Xprotostr.h                           
%{_includedir}/X11/Xthreads.h                            
%{_includedir}/X11/Xw32defs.h                            
%{_includedir}/X11/Xwindows.h                            
%{_includedir}/X11/Xwinsock.h                            
%{_includedir}/X11/ap_keysym.h                           
%{_includedir}/X11/dri/xf86dri.h                         
%{_includedir}/X11/dri/xf86driproto.h                    
%{_includedir}/X11/dri/xf86dristr.h                      
%{_includedir}/X11/extensions/EVI.h                      
%{_includedir}/X11/extensions/EVIproto.h                 
%{_includedir}/X11/extensions/XI.h                       
%{_includedir}/X11/extensions/XI2.h                      
%{_includedir}/X11/extensions/XI2proto.h                 
%{_includedir}/X11/extensions/XIproto.h                  
%{_includedir}/X11/extensions/XKB.h                      
%{_includedir}/X11/extensions/XKBgeom.h                  
%{_includedir}/X11/extensions/XKBproto.h                 
%{_includedir}/X11/extensions/XKBsrv.h                   
%{_includedir}/X11/extensions/XKBstr.h                   
%{_includedir}/X11/extensions/XResproto.h                
%{_includedir}/X11/extensions/Xv.h                       
%{_includedir}/X11/extensions/XvMC.h                     
%{_includedir}/X11/extensions/XvMCproto.h                
%{_includedir}/X11/extensions/Xvproto.h                  
%{_includedir}/X11/extensions/ag.h                       
%{_includedir}/X11/extensions/agproto.h                  
%{_includedir}/X11/extensions/bigreqsproto.h             
%{_includedir}/X11/extensions/bigreqstr.h                
%{_includedir}/X11/extensions/composite.h                
%{_includedir}/X11/extensions/compositeproto.h           
%{_includedir}/X11/extensions/cup.h                      
%{_includedir}/X11/extensions/cupproto.h                 
%{_includedir}/X11/extensions/damageproto.h              
%{_includedir}/X11/extensions/damagewire.h               
%{_includedir}/X11/extensions/dbe.h                      
%{_includedir}/X11/extensions/dbeproto.h                 
%{_includedir}/X11/extensions/dmx.h                      
%{_includedir}/X11/extensions/dmxproto.h                 
%{_includedir}/X11/extensions/dpmsconst.h                
%{_includedir}/X11/extensions/dpmsproto.h                
%{_includedir}/X11/extensions/dri2proto.h                
%{_includedir}/X11/extensions/dri2tokens.h               
%{_includedir}/X11/extensions/fontcache.h                
%{_includedir}/X11/extensions/fontcacheP.h               
%{_includedir}/X11/extensions/fontcachstr.h              
%{_includedir}/X11/extensions/ge.h                       
%{_includedir}/X11/extensions/geproto.h                  
%{_includedir}/X11/extensions/lbx.h                      
%{_includedir}/X11/extensions/lbxproto.h                 
%{_includedir}/X11/extensions/mitmiscconst.h             
%{_includedir}/X11/extensions/mitmiscproto.h
%{_includedir}/X11/extensions/multibufconst.h
%{_includedir}/X11/extensions/multibufproto.h
%{_includedir}/X11/extensions/panoramiXproto.h
%{_includedir}/X11/extensions/Print.h
%{_includedir}/X11/extensions/Printstr.h
%{_includedir}/X11/extensions/randr.h
%{_includedir}/X11/extensions/randrproto.h
%{_includedir}/X11/extensions/recordconst.h
%{_includedir}/X11/extensions/recordproto.h
%{_includedir}/X11/extensions/recordstr.h
%{_includedir}/X11/extensions/render.h
%{_includedir}/X11/extensions/renderproto.h
%{_includedir}/X11/extensions/saver.h
%{_includedir}/X11/extensions/saverproto.h
%{_includedir}/X11/extensions/secur.h
%{_includedir}/X11/extensions/securproto.h
%{_includedir}/X11/extensions/shapeconst.h
%{_includedir}/X11/extensions/shapeproto.h
%{_includedir}/X11/extensions/shm.h
%{_includedir}/X11/extensions/shmproto.h
%{_includedir}/X11/extensions/syncconst.h
%{_includedir}/X11/extensions/syncproto.h
%{_includedir}/X11/extensions/vldXvMC.h
%{_includedir}/X11/extensions/windowswm.h
%{_includedir}/X11/extensions/windowswmstr.h
%{_includedir}/X11/extensions/xcmiscproto.h
%{_includedir}/X11/extensions/xcmiscstr.h
%{_includedir}/X11/extensions/xf86bigfont.h
%{_includedir}/X11/extensions/xf86bigfproto.h
%{_includedir}/X11/extensions/xf86bigfstr.h
%{_includedir}/X11/extensions/xf86dga.h
%{_includedir}/X11/extensions/xf86dga1const.h
%{_includedir}/X11/extensions/xf86dga1proto.h
%{_includedir}/X11/extensions/xf86dga1str.h
%{_includedir}/X11/extensions/xf86dgaconst.h
%{_includedir}/X11/extensions/xf86dgaproto.h
%{_includedir}/X11/extensions/xf86dgastr.h
%{_includedir}/X11/extensions/xf86misc.h
%{_includedir}/X11/extensions/xf86mscstr.h
%{_includedir}/X11/extensions/xf86rush.h
%{_includedir}/X11/extensions/xf86rushstr.h
%{_includedir}/X11/extensions/xf86vm.h
%{_includedir}/X11/extensions/xf86vmproto.h
%{_includedir}/X11/extensions/xf86vmstr.h
%{_includedir}/X11/extensions/xfixesproto.h
%{_includedir}/X11/extensions/xfixeswire.h
%{_includedir}/X11/extensions/xtestconst.h
%{_includedir}/X11/extensions/xtestext1const.h
%{_includedir}/X11/extensions/xtestext1proto.h
%{_includedir}/X11/extensions/xtestproto.h
%{_includedir}/X11/extensions/xtrapbits.h
%{_includedir}/X11/extensions/xtrapddmi.h
%{_includedir}/X11/extensions/xtrapdi.h
%{_includedir}/X11/extensions/xtrapemacros.h
%{_includedir}/X11/extensions/xtraplib.h
%{_includedir}/X11/extensions/xtraplibp.h
%{_includedir}/X11/extensions/xtrapproto.h
%{_includedir}/X11/extensions/Xeviestr.h
%{_includedir}/X11/extensions/evieproto.h
%{_includedir}/X11/fonts/FS.h
%{_includedir}/X11/fonts/FSproto.h
%{_includedir}/X11/fonts/font.h
%{_includedir}/X11/fonts/fontproto.h
%{_includedir}/X11/fonts/fontstruct.h
%{_includedir}/X11/fonts/fsmasks.h
%{_includedir}/X11/keysym.h
%{_includedir}/X11/keysymdef.h
%{_includedir}/X11/extensions/shapestr.h
%{_includedir}/X11/extensions/shmstr.h
%{_includedir}/X11/extensions/syncstr.h
%{_datadir}/doc/videoproto/xv-protocol-v2.txt
%{_datadir}/doc/xextproto/appgroup.xml
%{_datadir}/doc/xextproto/dbe.xml
%{_datadir}/doc/xextproto/dpms.xml
%{_datadir}/doc/xextproto/evi.xml
%{_datadir}/doc/xextproto/geproto.xml
%{_datadir}/doc/xextproto/multibuf.xml
%{_datadir}/doc/xextproto/security.xml
%{_datadir}/doc/xextproto/shape.xml
%{_datadir}/doc/xextproto/shm.xml
%{_datadir}/doc/xextproto/sync.xml
%{_datadir}/doc/xextproto/tog-cup.xml
%{_datadir}/doc/xextproto/xtest.xml
%{_pkgconfig}/windowswmproto.pc
%{_datadir}/doc/fixesproto/fixesproto.txt
%{_datadir}/doc/xproxymanagementprotocol/PM_spec
%{_datadir}/doc/bigreqsproto/bigreq.xml
%{_datadir}/doc/fontsproto/fsproto.xml
%{_datadir}/doc/inputproto/XI2proto.txt
%{_datadir}/doc/inputproto/XIproto.txt
%{_datadir}/doc/recordproto/record.xml
%{_datadir}/doc/scrnsaverproto/saver.xml
%{_datadir}/doc/xcmiscproto/xc-misc.xml
%{_datadir}/doc/xproto/encoding.xml
%{_datadir}/doc/xproto/glossary.xml
%{_datadir}/doc/xproto/keysyms.xml
%{_datadir}/doc/xproto/sect1-9.xml
%{_datadir}/doc/xproto/x11protocol.xml
%{_pkgconfig}/bigreqsproto.pc
%{_pkgconfig}/compositeproto.pc
%{_pkgconfig}/damageproto.pc
%{_pkgconfig}/dmxproto.pc
%{_pkgconfig}/fixesproto.pc
%{_pkgconfig}/fontcacheproto.pc
%{_pkgconfig}/fontsproto.pc
%{_pkgconfig}/glproto.pc
%{_pkgconfig}/inputproto.pc
%{_pkgconfig}/kbproto.pc
%{_pkgconfig}/printproto.pc
%{_pkgconfig}/randrproto.pc
%{_pkgconfig}/recordproto.pc
%{_pkgconfig}/renderproto.pc
%{_pkgconfig}/resourceproto.pc
%{_pkgconfig}/scrnsaverproto.pc
%{_pkgconfig}/trapproto.pc
%{_pkgconfig}/videoproto.pc
%{_pkgconfig}/xcmiscproto.pc
%{_pkgconfig}/xextproto.pc
%{_pkgconfig}/xf86bigfontproto.pc
%{_pkgconfig}/xf86dgaproto.pc
%{_pkgconfig}/xf86driproto.pc
%{_pkgconfig}/xf86miscproto.pc
%{_pkgconfig}/xf86rushproto.pc
%{_pkgconfig}/xf86vidmodeproto.pc
%{_pkgconfig}/xineramaproto.pc
%{_pkgconfig}/xproto.pc
%{_pkgconfig}/xproxymngproto.pc
%{_pkgconfig}/xcb-proto.pc
%{_pkgconfig}/dri2proto.pc
%{_pkgconfig}/evieproto.pc
%{_datadir}/xcb
%{_datadir}/doc/damageproto/damageproto.txt
%{_datadir}/doc/randrproto/randrproto.txt
%{_datadir}/doc/compositeproto/compositeproto.txt
%{_datadir}/doc/renderproto/renderproto.txt
%{python_sitearch}/xcbgen

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.5-7
- xproto-7.0.20
- inputproto-2.0.1
- xcmiscproto-1.2.1
- scrnsaverproto-1.2.1
- recordproto-1.14.1
- randrproto-1.3.2
- fontsproto-2.1.1
- fixesproto-4.1.2
- damageproto-1.2.1
- compositeproto-0.4.2
- bigreqsproto-1.1.1
- evieproto-1.1.0
* Fri Aug 13 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.5-6
- dri2proto-2.3
- glproto-1.4.12
- kbproto-1.0.5
- renderproto-0.11.1
- videoproto-2.3.1
- xextproto-7.1.2
- xproto-7.0.18
- xcb-proto-1.6
* Thu Jan 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.5-5
- oops, printproto fell over the cliff - bring it back
- forced xcb to call python2.6 instead of plain python
* Sun Jan 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.5-4
- rebuilt
* Sun Jan 17 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.5-3
- dri2proto 2.2
- glproto 1.4.11
* Sun Nov 01 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.5-2
- xorg 7.5
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.5-1
- xorg 7.5 rc1
* Wed Jun 24 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-10
- inputproto 1.9.99.12
- xcb-proto 1.5
* Tue Jun 16 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-9
- inputproto 1.9.99.11
- dri2proto 2.1
* Wed May 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-8
- glproto 1.4.10
- inputproto 1.9.99.9 
* Fri May 21 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-7
- clean stable build
- inputproto 1.5.0
* Mon Apr 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-6
- updated dri2proto to 2.0
* Fri Mar 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-5
- updated inputproto to 1.9.99.7 (for MPX build)
* Fri Mar 10 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-5
- updated randrproto to 1.3.0
- updated xproto to 7.0.15
* Fri Feb 27 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-4
- updated randrproto to 1.2.99.4
- updated xextproto to 7.0.5
- updated xcbproto to 1.4
* Wed Jan 23 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-3
- updated xcb-proto to 1.3
* Wed Jan 07 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.4-2
- updated dri2proto to 1.99.3
- updated inputproto to 1.5.0
- updated randrproto to 1.2.99.3
- updated xextproto to 7.0.4
- updated xproto to 7.0.14
* Sun Sep 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.4-1
- Xorg 7.4
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 7.3-5
- updated inputproto to version 1.4.4
- updated printproto to version 1.0.4
- updated randrproto to version 1.2.2
- updated xextproto to version 7.0.3
- updated xf86driproto to version 2.0.4
- updated xproto to version 7.0.13
- updated xcb-proto to version 1.2
- add dr2proto version 1.1
* Wed May 28 2008 Christian Metzen <metzench@ccux-linux.de> 7.3-4
- updated xcb-proto to 1.1
* Sat Jan 05 2008 Christian Metzen <metzench@ccux-linux.de> 7.3-3
- removed dri_interface.h, comes from mesa
* Sat Nov 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.3-2
- glproto 1.4.9
* Thu Sep 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.3-1
- compositeproto 0.4
- inputproto 1.4.2.1
- renderproto 0.9.3
- xf86dgaproto 2.0.3
* Wed Jun 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.2-2
- RandR proto 1.2.1
- input proto 1.4.2
- damage proto 1.1.0
* Sun Feb 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.2-1
- Version update
- added xcb-proto
* Sat Jul 01 2006 Christian Metzen <metzench@ccux-linux.de> 7.1-1
- Initial release
